curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_quotes \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 5663,
"method": "private/cancel_quotes",
"params": {
"cancel_type": "delta",
"min_delta": 0.4,
"max_delta": 0.6
}
}'{
"jsonrpc": "2.0",
"result": 3,
"id": 123
}private/cancel_quotes
Cancels quotes (mass quote orders) based on various criteria. This method provides flexible options for cancelling quotes:
delta: Cancels quotes within a delta range defined bymin_deltaandmax_deltaquote_set_id: Cancels quotes by a specific Quote Set identifierinstrument: Cancels all quotes associated with a particular instrumentkind: Cancels all quotes for a certain instrument kindcurrency: Cancels all quotes in a specified currencycurrency_pair: Cancels all quotes in a specified currency pairall: Cancels all quotes
Use the detailed parameter to receive a list of all cancelled quotes.
Scope: trade:read_write
curl --request POST \
--url https://test.deribit.com/api/v2/private/cancel_quotes \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 5663,
"method": "private/cancel_quotes",
"params": {
"cancel_type": "delta",
"min_delta": 0.4,
"max_delta": 0.6
}
}'{
"jsonrpc": "2.0",
"result": 3,
"id": 123
}Query Parameters
When detailed is set to true, the output format is changed to include a list of all cancelled orders.
📖 Related Article: Detailed Response for Cancel Methods
Default: false
Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered
Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all
future, option, spot, future_combo, option_combo, combo, any The currency symbol.
📖 Related Article: Using the currency Parameter
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR The currency pair symbol Index identifier, matches (base) cryptocurrency with quote currency
btc_usd, eth_usd, ada_usdc, algo_usdc, avax_usdc, bch_usdc, bnb_usdc, btc_usdc, btcdvol_usdc, buidl_usdc, doge_usdc, dot_usdc, eurr_usdc, eth_usdc, ethdvol_usdc, hype_usdc, link_usdc, ltc_usdc, near_usdc, paxg_usdc, shib_usdc, sol_usdc, steth_usdc, ton_usdc, trump_usdc, trx_usdc, uni_usdc, usde_usdc, usyc_usdc, xrp_usdc, btc_usdt, eth_usdt, eurr_usdt, sol_usdt, steth_usdt, usdc_usdt, usde_usdt, btc_eurr, btc_usde, btc_usyc, eth_btc, eth_eurr, eth_usde, eth_usyc, steth_eth, paxg_btc, drbfix-btc_usdc, drbfix-eth_usdc Was this page helpful?